Subject: bug#47058: 28.0.50; Dired Z: insert-directory: Reading directory: No such file or directory, CrossLine_linux_x86

From: Gregory Heytings <[email-masked]>
Date: Wed, 22 Sep 2021 08:07:38 +0000

>
> The use case that I have in mind is this:
>
>  . directory DIR exists on disk, and has files in it
>  . the archive includes directory DIR with files in it, not necessarily identical to those on disk: some files on disk don't exist in the archive, and vice versa
>

Okay, now I see what you mean.  That's not something I ever do, but I 
understand it can make sense to do that.

>
> Will the unpacking you propose behave in the same way?  If not, we need 
> to augment it so it does.
>

It doesn't, indeed.  I'll think about this.